
        
        <h3>Características del producto:</h3>
        
        <table class="tablaCamposEntradaGs1">
        
			<?php foreach($CaracteristicasProducto as $caracteristica) { ?>
            
            	<?php
				
				$identificador=$caracteristica['Codigo'];
				
				if($caracteristica['Tipo']==1) {
					$ValorLeido=formateaNumeroDecimalBasico($caracteristica['ValorLeido'],$caracteristica['Decimales']);
				}
				else $ValorLeido=$caracteristica['ValorLeido'];
								
				?>
            
           		<tr>
                	<td align="left"><?php if(!$ocultarChinchetas) { ?><img id="fijarCaracterisica-<?php echo $identificador; ?>" src="<?php echo DIR_IMAGENES; ?>/palet-fijar<?php if(!$_SESSION['entradaFijar-caracteristica-'.$identificador]) { ?>-off<?php } ?>.png" alt="Fijar" class="iconoFijar entradaChincheta" campo="caracteristica-<?php echo $identificador; ?>" activo="<?php if($_SESSION['entradaFijar-caracteristica-'.$identificador]) { ?>1<?php } else { ?>0<?php } ?>"/><?php } ?><?php echo $caracteristica['Descripcion']; ?>:</td>
                	<td>
                    
                    <div id="bloqueContenedor">
                        
                        <div class="campoOrdenPreparacionBloque">
                        
                        <?php if($caracteristica['Tipo']==2 && !$caracteristica['ValoresIndices']) { //Tipo 2 es texto ?>
                        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCaracteristica-<?php echo $identificador; ?>" />
                        <?php } ?>
                        
                        <?php if($caracteristica['ValoresIndices']) { //Es combo ?>
                        
                        	<?php $comboIndices=explode('¬',$caracteristica['ValoresIndices']); ?>
                            <?php $comboTextos=explode('¬',$caracteristica['ValoresTextos']); ?>
                        	
                            <select name="caracteristica-<?php echo $identificador; ?>" class="campo campoOrdenPreparacion campoCaracteristica" id="caracteristica-<?php echo $identificador; ?>" style="left:5px;" valorProducto="<?php echo $caracteristica['ValorProducto']; ?>" tipo="<?php echo $caracteristica['Tipo']; ?>">
                            
                            	<option value="">---</option>
								<?php foreach( $comboIndices as $clave=>$valor ) { ?>
                                <option value="<?php echo $comboIndices[$clave]; ?>" <?php if( ($mostrarCaracteristicasValores && $ValorLeido==$valor) || ($_SESSION['entradaFijar-caracteristica-'.$identificador]==$valor) ) { ?>selected<?php } ?>><?php echo $comboTextos[$clave]; ?></option>
                                <?php } ?>
                            
                            </select>
                            
                        <?php } else { ?>
                        
                        	<input name="caracteristica-<?php echo $identificador; ?>" type="text" class="campo campoOrdenPreparacion campoCaracteristica <?php if($caracteristica['Tipo']==1) { ?>cantidad caracteristicaCantidad<?php } ?>" id="caracteristica-<?php echo $identificador; ?>" maxlength="50" style="left:5px;" autocomplete="off" decimales="<?php echo $caracteristica['Decimales']; ?>" valorProducto="<?php echo $caracteristica['ValorProducto']; ?>" tipo="<?php echo $caracteristica['Tipo']; ?>" <?php if($mostrarCaracteristicasValores) { ?>value="<?php echo $ValorLeido; ?>"<?php } else if($_SESSION['entradaFijar-caracteristica-'.$identificador]) { ?>value="<?php echo $_SESSION['entradaFijar-caracteristica-'.$identificador]; ?>"<?php } ?>>
                        
                        <?php } ?>
                        
						<?php if(!$caracteristica['ValoresIndices']) { ?>
                        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCaracteristica--<?php echo $identificador; ?>" style="position:absolute;right:-55px;cursor:pointer;top:3px;" class="borrarCaracteristica" identificador="<?php echo $identificador; ?>"/>
                        <?php } ?>
                        
                        </div>
                        
                    </div>
                    
                    </td>
				</tr>

			<?php } ?>
        
        </table>
        
        <script>
		
			function hayCaracteristicasSinInformar() {
	
				var haySinInformar=false;
			
				$('.campoCaracteristica').each(function(){
					if($(this).val()=='') {
						haySinInformar=true;
						$(this).addClass('campoError');
					}
					else {
						$(this).removeClass('campoError');
					}
				});
				
				return haySinInformar;
			
			}
			
			function hayCaracteristicasQueNoCoinciden() {
			
				console.log('Function hayCaracteristicasQueNoCoinciden()');
			
				var coincidenTodas=true;
			
				$('.campoCaracteristica').each(function(){
				
					var valorInformado=$(this).val();
					var valorProducto=$(this).attr('valorProducto');
					var tipo=$(this).attr('tipo');
					
					if(tipo==1) {
						valorInformado=valorInformado.replace('.','');
						valorInformado=valorInformado.replace(',','.');
						valorInformado=parseFloat(valorInformado);
						valorProducto=parseFloat(valorProducto);
					}
				
					console.log('Evaluamos: '+valorInformado+' / contra: '+valorProducto);
				
					if( valorInformado != valorProducto ) {
						coincidenTodas=false;
					}
		
				});
				
				if(coincidenTodas) return false;
				else return true;
			
			}
		
			function cantidadConDecimales(valor,decimales) {
	
				if(valor)  valor=parseFloat( valor );
				else valor=0;
				
				valor = Intl.NumberFormat("de-DE",{minimumFractionDigits:decimales}).format( valor );
				return valor;
		
			}
			
			$(document).ready(function() {
			
				$('.borrarCaracteristica').on('click',function(e) {
					var identificador=$(this).attr('identificador');
					$('#caracteristica-'+identificador).val('');
					$('#caracteristica-'+identificador).focus();
				});
			
				$('.caracteristicaCantidad').on('click',function(e) {
					$('#calculadora').show();
					$('#valorCalculadora').val( cantidadParaCalculadora($(this).val()) );
					$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
					$('#enterCalculadora').attr('forzarEnter','si');
				});
			
				$('.caracteristicaCantidad').on('change',function(e) {
					var decimales=$(this).attr('decimales');
					$(this).val( cantidadConDecimales( $(this).val() , decimales ) );
				});
			
			});
			
        </script>